"use strict";
(function ($) {

    function validEmail(email)
    {
        var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(email);
    }

    $(window).on('load', function () {
        if (typeof(jstag) !== "undefined" ) {
            if (typeof(lytics_script_vars.mfuid) !== "undefined") {
                jstag.send({
                    mfuid: lytics_script_vars.mfuid,
                    event: lytics_script_vars.event,
                });
            }

            $('form.ecap-form').submit(function (e) {
                var emailAddress = $('input[name="email"]', this).val();
                var sfr = $('input[name="sfr"]', this).val();
                if (validEmail(emailAddress)) {
                    var ecapEvent = 'Ecapped on ' + (sfr.length > 0 ? sfr : "Unknown");
                    jstag.send({
                        email: emailAddress,
                        event: ecapEvent
                    });
                }
            });
        }
    });
})(jQuery);
