/**
 * Tickle ecap.
 */
var FoolEcapTickle = (function($, window, document) {
    /**
     * Show tickle.
     *
     * @return void
     */
    function tickle() {
        // Hide full content and show excerpt content and tickle.
        $('#full_content').hide();
        $('#excerpt_content').show();
        $('#ecapTickle').show();
    }

    $(document).ready(function($) {
        // Ensure modal is active by checking for wrapping element.
        if ($('#ecapTickle').length) {
            if (Fool.Base.getCookie(window.FoolEcapData.ookie) == window.FoolEcapData.ookieTickle) {
                tickle();
            }
        }
    });

    return {
        /**
         * Hide tickle.
         *
         * @return void
         */
        success: function () {
            // Show full content and hide excerpt content and tickle.
            $('#full_content').show();
            $('#excerpt_content').hide();
            $('#ecapTickle').hide();

            // Send event to Google Analytics.
            if (window.ga && ga.create) {
                window.ga('send', 'event', 'ArticleTickle', 'Ecapped');
            }
        }
    };
}(jQuery, window, document));
